Subject: [nvo3] Comments on the draft-ietf-nvo3-vxlan-gpe-07

From: "Liubing (Remy)" <[email-masked]>
Date: Fri, 19 Apr 2019 07:56:16 +0000

Hello authors,

Thank you for bring up this draft again. I've read this new version and I think the design of the shim header is a big improvement.

If I understand it correctly, the logic of the shim header is similar  to the non-critical TLV in GENEVE. But I think some clarification is required.

Quote from the draft: "Implementations that are not aware of a given shim header MUST ignore the header and proceed to parse the next protocol." The definition of "implementations" is not clear at all. The implementation can be a transit node or the NVE and the related operations should be differentiated. In my opinion, the NVE should not or even must not ignore any shim header, while the transit node can do this.

Another point may need to be clarified: does "...are not aware of a given shim header..." mean that the device have to at least know that there is a shim header and how long it is so that it can skip the header to parse the next protocol? If the device can't recognize any shim header, i.e. it does not know the meaning of "0x80 to 0xFF", the packet must be dropped in this case?

Best regards,
Remy